Index: t3lib/class.t3lib_div.php
===================================================================
--- t3lib/class.t3lib_div.php	(revision 9354)
+++ t3lib/class.t3lib_div.php	(revision )
@@ -4655,30 +4730,31 @@
 	 * @param	string		Character set (option); if not set, determined by the language key
 	 * @param	integer		Error mode (when file could not be found): 0 - syslog entry, 1 - do nothing, 2 - throw an exception
 	 * @return	array		Value of $LOCAL_LANG found in the included file. If that array is found it  will returned.
-	 * 						Otherwise an empty array and it is FALSE in error case.
+	 *						 Otherwise an empty array and it is FALSE in error case.
 	 */
-	public static function readLLfile($fileRef, $langKey, $charset = '', $errorMode = 0)	{
+	public static function readLLfile($fileRef, $langKey, $charset = '', $errorMode = 0) {
 
 		$result = FALSE;
 		$file = self::getFileAbsFileName($fileRef);
-		if ($file)	{
+		if ($file) {
 			$baseFile = preg_replace('/\.(php|xml)$/', '', $file);
 
-			if (@is_file($baseFile.'.xml')) {
+			if (@is_file($baseFile . '.xml')) {
-				$LOCAL_LANG = self::readLLXMLfile($baseFile.'.xml', $langKey, $charset);
+				$LOCAL_LANG = self::readLLXMLfile($baseFile . '.xml', $langKey, $charset);
-			} elseif (@is_file($baseFile.'.php'))   {
+			} elseif (@is_file($baseFile . '.php')) {
-				if ($GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset'] || $charset)  {
+				if ($GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset'] || $charset) {
-					$LOCAL_LANG = self::readLLPHPfile($baseFile.'.php', $langKey, $charset);
+					$LOCAL_LANG = self::readLLPHPfile($baseFile . '.php', $langKey, $charset);
 				} else {
-					include($baseFile.'.php');
+					include($baseFile . '.php');
-					if (is_array($LOCAL_LANG))      {
+					if (is_array($LOCAL_LANG)) {
-						$LOCAL_LANG = array('default'=>$LOCAL_LANG['default'], $langKey=>$LOCAL_LANG[$langKey]); }
+						$LOCAL_LANG = array('default' => $LOCAL_LANG['default'], $langKey => $LOCAL_LANG[$langKey]);
-				}
+					}
+				}
 			} else {
-				$errorMsg = 'File "' . $fileRef. '" not found!';
+				$errorMsg = 'File "' . $fileRef . '" not found!';
 				if ($errorMode == 2) {
 					throw new t3lib_exception($errorMsg);
-				} elseif(!$errorMode) {
+				} elseif (!$errorMode) {
 					self::sysLog($errorMsg, 'Core', self::SYSLOG_SEVERITY_ERROR);
 				}
 				$fileNotFound = TRUE;
@@ -4705,7 +4781,7 @@
 				}
 			}
 		}
-		if ($fileNotFound !== TRUE)	{
+		if ($fileNotFound !== TRUE) {
 			$result = is_array($LOCAL_LANG) ? $LOCAL_LANG : array();
 		}
 		return $result;
@@ -4720,23 +4796,23 @@
 	 * @param	string		Character set (optional)
 	 * @return	array		LOCAL_LANG array in return.
 	 */
-	public static function readLLPHPfile($fileRef, $langKey, $charset='')	{
+	public static function readLLPHPfile($fileRef, $langKey, $charset = '') {
 
-		if (is_object($GLOBALS['LANG']))	{
+		if (is_object($GLOBALS['LANG'])) {
 			$csConvObj = $GLOBALS['LANG']->csConvObj;
-		} elseif (is_object($GLOBALS['TSFE']))	{
+		} elseif (is_object($GLOBALS['TSFE'])) {
 			$csConvObj = $GLOBALS['TSFE']->csConvObj;
 		} else {
 			$csConvObj = self::makeInstance('t3lib_cs');
 		}
 
-		if (@is_file($fileRef) && $langKey)	{
+		if (@is_file($fileRef) && $langKey) {
 
 				// Set charsets:
 			$sourceCharset = $csConvObj->parse_charset($csConvObj->charSetArray[$langKey] ? $csConvObj->charSetArray[$langKey] : 'iso-8859-1');
-			if ($charset)	{
+			if ($charset) {
 				$targetCharset = $csConvObj->parse_charset($charset);
-			} elseif ($GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset'])  {
+			} elseif ($GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset']) {
 					// when forceCharset is set, we store ALL labels in this charset!!!
 				$targetCharset = $csConvObj->parse_charset($GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset']);
 			} else {
@@ -4744,16 +4820,16 @@
 			}
 
 				// Cache file name:
-			$hashSource = substr($fileRef,strlen(PATH_site)).'|'.date('d-m-Y H:i:s',filemtime($fileRef)).'|version=2.3';
+			$hashSource = substr($fileRef, strlen(PATH_site)) . '|' . date('d-m-Y H:i:s', filemtime($fileRef)) . '|version=2.3';
-			$cacheFileName = PATH_site.'typo3temp/llxml/'.
+			$cacheFileName = PATH_site . 'typo3temp/llxml/' .
-							substr(basename($fileRef),10,15).
+					substr(basename($fileRef), 10, 15) .
-							'_'.self::shortMD5($hashSource).'.'.$langKey.'.'.$targetCharset.'.cache';
+					'_' . self::shortMD5($hashSource) . '.' . $langKey . '.' . $targetCharset . '.cache';
 				// Check if cache file exists...
-			if (!@is_file($cacheFileName))	{	// ... if it doesn't, create content and write it:
+			if (!@is_file($cacheFileName)) { // ... if it doesn't, create content and write it:
-
+				$LOCAL_LANG = NULL;
 					// Get PHP data
 				include($fileRef);
-				if (!is_array($LOCAL_LANG))	{
+				if (!is_array($LOCAL_LANG)) {
 					$fileName = substr($fileRef, strlen(PATH_site));
 					throw new RuntimeException(
 						'TYPO3 Fatal Error: "' . $fileName . '" is no TYPO3 language file!',
@@ -4764,19 +4840,19 @@
 					// converting the default language (English)
 					// this needs to be done for a few accented loan words and extension names
 				if (is_array($LOCAL_LANG['default']) && $targetCharset != 'iso-8859-1') {
-					foreach ($LOCAL_LANG['default'] as &$labelValue)	{
+					foreach ($LOCAL_LANG['default'] as &$labelValue) {
 						$labelValue = $csConvObj->conv($labelValue, 'iso-8859-1', $targetCharset);
 					}
 				}
 
-				if ($langKey!='default' && is_array($LOCAL_LANG[$langKey]) && $sourceCharset!=$targetCharset)	{
+				if ($langKey != 'default' && is_array($LOCAL_LANG[$langKey]) && $sourceCharset != $targetCharset) {
-					foreach ($LOCAL_LANG[$langKey] as &$labelValue)	{
+					foreach ($LOCAL_LANG[$langKey] as &$labelValue) {
 						$labelValue = $csConvObj->conv($labelValue, $sourceCharset, $targetCharset);
 					}
 				}
 
 					// Cache the content now:
-				$serContent = array('origFile'=>$hashSource, 'LOCAL_LANG'=>array('default'=>$LOCAL_LANG['default'], $langKey=>$LOCAL_LANG[$langKey]));
+				$serContent = array('origFile' => $hashSource, 'LOCAL_LANG' => array('default' => $LOCAL_LANG['default'], $langKey => $LOCAL_LANG[$langKey]));
 				$res = self::writeFileToTypo3tempDir($cacheFileName, serialize($serContent));
 				if ($res) {
 					throw new RuntimeException(
@@ -4803,23 +4879,23 @@
 	 * @param	string		Character set (optional)
 	 * @return	array		LOCAL_LANG array in return.
 	 */
-	public static function readLLXMLfile($fileRef, $langKey, $charset='')	{
+	public static function readLLXMLfile($fileRef, $langKey, $charset = '') {
 
-		if (is_object($GLOBALS['LANG']))	{
+		if (is_object($GLOBALS['LANG'])) {
 			$csConvObj = $GLOBALS['LANG']->csConvObj;
-		} elseif (is_object($GLOBALS['TSFE']))	{
+		} elseif (is_object($GLOBALS['TSFE'])) {
 			$csConvObj = $GLOBALS['TSFE']->csConvObj;
 		} else {
 			$csConvObj = self::makeInstance('t3lib_cs');
 		}
 
 		$LOCAL_LANG = NULL;
-		if (@is_file($fileRef) && $langKey)	{
+		if (@is_file($fileRef) && $langKey) {
 
 				// Set charset:
-			if ($charset)	{
+			if ($charset) {
 				$targetCharset = $csConvObj->parse_charset($charset);
-			} elseif ($GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset'])  {
+			} elseif ($GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset']) {
 					// when forceCharset is set, we store ALL labels in this charset!!!
 				$targetCharset = $csConvObj->parse_charset($GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset']);
 			} else {
@@ -4827,13 +4903,13 @@
 			}
 
 				// Cache file name:
-			$hashSource = substr($fileRef,strlen(PATH_site)).'|'.date('d-m-Y H:i:s',filemtime($fileRef)).'|version=2.3';
+			$hashSource = substr($fileRef, strlen(PATH_site)) . '|' . date('d-m-Y H:i:s', filemtime($fileRef)) . '|version=2.3';
-			$cacheFileName = PATH_site.'typo3temp/llxml/'.
+			$cacheFileName = PATH_site . 'typo3temp/llxml/' .
-						substr(basename($fileRef),10,15).
+					substr(basename($fileRef), 10, 15) .
-						'_'.self::shortMD5($hashSource).'.'.$langKey.'.'.$targetCharset.'.cache';
+					'_' . self::shortMD5($hashSource) . '.' . $langKey . '.' . $targetCharset . '.cache';
 
 				// Check if cache file exists...
-			if (!@is_file($cacheFileName))	{	// ... if it doesn't, create content and write it:
+			if (!@is_file($cacheFileName)) { // ... if it doesn't, create content and write it:
 
 					// Read XML, parse it.
 				$xmlString = self::getUrl($fileRef);
@@ -4854,7 +4930,7 @@
 					// this needs to be done for a few accented loan words and extension names
 					// NOTE: no conversion is done when in UTF-8 mode!
 				if (is_array($LOCAL_LANG['default']) && $targetCharset != 'utf-8') {
-					foreach ($LOCAL_LANG['default'] as &$labelValue)	{
+					foreach ($LOCAL_LANG['default'] as &$labelValue) {
 						$labelValue = $csConvObj->utf8_decode($labelValue, $targetCharset);
 					}
 					unset($labelValue);
@@ -4862,25 +4938,25 @@
 
 					// converting other languages to their "native" charsets
 					// NOTE: no conversion is done when in UTF-8 mode!
-				if ($langKey!='default')	{
+				if ($langKey != 'default') {
 
 						// If no entry is found for the language key, then force a value depending on meta-data setting. By default an automated filename will be used:
 					$LOCAL_LANG[$langKey] = self::llXmlAutoFileName($fileRef, $langKey);
 					$localized_file = self::getFileAbsFileName($LOCAL_LANG[$langKey]);
-					if (!@is_file($localized_file) && isset($xmlContent['data'][$langKey]))	{
+					if (!@is_file($localized_file) && isset($xmlContent['data'][$langKey])) {
 						$LOCAL_LANG[$langKey] = $xmlContent['data'][$langKey];
 					}
 
 						// Checking if charset should be converted.
-					if (is_array($LOCAL_LANG[$langKey]) && $targetCharset!='utf-8')	{
+					if (is_array($LOCAL_LANG[$langKey]) && $targetCharset != 'utf-8') {
-						foreach($LOCAL_LANG[$langKey] as $labelKey => $labelValue)	{
+						foreach ($LOCAL_LANG[$langKey] as $labelKey => $labelValue) {
-							$LOCAL_LANG[$langKey][$labelKey] = $csConvObj->utf8_decode($labelValue,$targetCharset);
+							$LOCAL_LANG[$langKey][$labelKey] = $csConvObj->utf8_decode($labelValue, $targetCharset);
 						}
 					}
 				}
 
 					// Cache the content now:
-				$serContent = array('origFile'=>$hashSource, 'LOCAL_LANG'=>array('default'=>$LOCAL_LANG['default'], $langKey=>$LOCAL_LANG[$langKey]));
+				$serContent = array('origFile' => $hashSource, 'LOCAL_LANG' => array('default' => $LOCAL_LANG['default'], $langKey => $LOCAL_LANG[$langKey]));
 				$res = self::writeFileToTypo3tempDir($cacheFileName, serialize($serContent));
 				if ($res) {
 					throw new RuntimeException(
@@ -4895,20 +4971,20 @@
 			}
 
 				// Checking for EXTERNAL file for non-default language:
-			if ($langKey!='default' && is_string($LOCAL_LANG[$langKey]) && strlen($LOCAL_LANG[$langKey]))	{
+			if ($langKey != 'default' && is_string($LOCAL_LANG[$langKey]) && strlen($LOCAL_LANG[$langKey])) {
 
 					// Look for localized file:
 				$localized_file = self::getFileAbsFileName($LOCAL_LANG[$langKey]);
-				if ($localized_file && @is_file($localized_file))	{
+				if ($localized_file && @is_file($localized_file)) {
 
 						// Cache file name:
-					$hashSource = substr($localized_file,strlen(PATH_site)).'|'.date('d-m-Y H:i:s',filemtime($localized_file)).'|version=2.3';
+					$hashSource = substr($localized_file, strlen(PATH_site)) . '|' . date('d-m-Y H:i:s', filemtime($localized_file)) . '|version=2.3';
-					$cacheFileName = PATH_site.'typo3temp/llxml/EXT_'.
+					$cacheFileName = PATH_site . 'typo3temp/llxml/EXT_' .
-									substr(basename($localized_file),10,15).
+							substr(basename($localized_file), 10, 15) .
-									'_'.self::shortMD5($hashSource).'.'.$langKey.'.'.$targetCharset.'.cache';
+							'_' . self::shortMD5($hashSource) . '.' . $langKey . '.' . $targetCharset . '.cache';
 
 						// Check if cache file exists...
-					if (!@is_file($cacheFileName))	{	// ... if it doesn't, create content and write it:
+					if (!@is_file($cacheFileName)) { // ... if it doesn't, create content and write it:
 
 							// Read and parse XML content:
 						$local_xmlString = self::getUrl($localized_file);
@@ -4923,14 +4999,14 @@
 						$LOCAL_LANG[$langKey] = is_array($local_xmlContent['data'][$langKey]) ? $local_xmlContent['data'][$langKey] : array();
 
 							// Checking if charset should be converted.
-						if (is_array($LOCAL_LANG[$langKey]) && $targetCharset!='utf-8')	{
+						if (is_array($LOCAL_LANG[$langKey]) && $targetCharset != 'utf-8') {
-							foreach($LOCAL_LANG[$langKey] as $labelKey => $labelValue)	{
+							foreach ($LOCAL_LANG[$langKey] as $labelKey => $labelValue) {
-								$LOCAL_LANG[$langKey][$labelKey] = $csConvObj->utf8_decode($labelValue,$targetCharset);
+								$LOCAL_LANG[$langKey][$labelKey] = $csConvObj->utf8_decode($labelValue, $targetCharset);
 							}
 						}
 
 							// Cache the content now:
-						$serContent = array('extlang'=>$langKey, 'origFile'=>$hashSource, 'EXT_DATA'=>$LOCAL_LANG[$langKey]);
+						$serContent = array('extlang' => $langKey, 'origFile' => $hashSource, 'EXT_DATA' => $LOCAL_LANG[$langKey]);
 						$res = self::writeFileToTypo3tempDir($cacheFileName, serialize($serContent));
 						if ($res) {
 							throw new RuntimeException(
@@ -4959,33 +5035,35 @@
 	 * @param	string		Language key
 	 * @return	string		Returns the filename reference for the language unless error occured (or local mode is used) in which case it will be NULL
 	 */
-	public static function llXmlAutoFileName($fileRef,$language)	{
+	public static function llXmlAutoFileName($fileRef, $language) {
 			// Analyse file reference:
-		$location = 'typo3conf/l10n/'.$language.'/';	// Default location of translations
+		$location = 'typo3conf/l10n/' . $language . '/'; // Default location of translations
-		if (self::isFirstPartOfStr($fileRef,PATH_typo3.'sysext/'))	{	// Is system:
+		if (self::isFirstPartOfStr($fileRef, PATH_typo3 . 'sysext/')) { // Is system:
-			$validatedPrefix = PATH_typo3.'sysext/';
+			$validatedPrefix = PATH_typo3 . 'sysext/';
 			#$location = 'EXT:csh_'.$language.'/';	// For system extensions translations are found in "csh_*" extensions (language packs)
-		} elseif (self::isFirstPartOfStr($fileRef,PATH_typo3.'ext/'))	{	// Is global:
+		} elseif (self::isFirstPartOfStr($fileRef, PATH_typo3 . 'ext/')) { // Is global:
-			$validatedPrefix = PATH_typo3.'ext/';
+			$validatedPrefix = PATH_typo3 . 'ext/';
-		} elseif (self::isFirstPartOfStr($fileRef,PATH_typo3conf.'ext/'))	{	// Is local:
+		} elseif (self::isFirstPartOfStr($fileRef, PATH_typo3conf . 'ext/')) { // Is local:
-			$validatedPrefix = PATH_typo3conf.'ext/';
+			$validatedPrefix = PATH_typo3conf . 'ext/';
 		} else {
 			$validatedPrefix = '';
 		}
 
-		if ($validatedPrefix)	{
+		if ($validatedPrefix) {
 
 				// Divide file reference into extension key, directory (if any) and base name:
-			list($file_extKey,$file_extPath) = explode('/',substr($fileRef,strlen($validatedPrefix)),2);
+			list($file_extKey, $file_extPath) = explode('/', substr($fileRef, strlen($validatedPrefix)), 2);
-			$temp = self::revExplode('/',$file_extPath,2);
+			$temp = self::revExplode('/', $file_extPath, 2);
-			if (count($temp)==1)	array_unshift($temp,'');	// Add empty first-entry if not there.
+			if (count($temp) == 1) {
+				array_unshift($temp, '');
+			} // Add empty first-entry if not there.
-			list($file_extPath,$file_fileName) = $temp;
+			list($file_extPath, $file_fileName) = $temp;
 
 				// The filename is prefixed with "[language key]." because it prevents the llxmltranslate tool from detecting it.
-			return $location.
+			return $location .
-				$file_extKey.'/'.
+					$file_extKey . '/' .
-				($file_extPath?$file_extPath.'/':'').
+					($file_extPath ? $file_extPath . '/' : '') .
-				$language.'.'.$file_fileName;
+					$language . '.' . $file_fileName;
 		} else {
 			return NULL;
 		}
@@ -5008,7 +5086,7 @@
 	 * @param	string		Table name for which to load the full TCA array part into the global $TCA
 	 * @return	void
 	 */
-	public static function loadTCA($table)	{
+	public static function loadTCA($table) {
 		global $TCA;
 
 		if (isset($TCA[$table])) {
@@ -5016,15 +5094,17 @@
 			if (!$tca['columns']) {
 				$dcf = $tca['ctrl']['dynamicConfigFile'];
 				if ($dcf) {
-					if (!strcmp(substr($dcf,0,6),'T3LIB:'))	{
+					if (!strcmp(substr($dcf, 0, 6), 'T3LIB:')) {
-						include(PATH_t3lib.'stddb/'.substr($dcf,6));
+						include(PATH_t3lib . 'stddb/' . substr($dcf, 6));
-					} elseif (self::isAbsPath($dcf) && @is_file($dcf))	{	// Absolute path...
+					} elseif (self::isAbsPath($dcf) && @is_file($dcf)) { // Absolute path...
 						include($dcf);
-					} else include(PATH_typo3conf.$dcf);
+					} else {
+						include(PATH_typo3conf . $dcf);
-				}
-			}
-		}
-	}
+					}
+				}
+			}
+		}
+	}
 
 	/**
 	 * Looks for a sheet-definition in the input data structure array. If found it will return the data structure for the sheet given as $sheet (if found).
@@ -5035,30 +5115,34 @@
 	 * @param	string		The sheet to return, preferably.
 	 * @return	array		An array with two num. keys: key0: The data structure is returned in this key (array) UNLESS an error happend in which case an error string is returned (string). key1: The used sheet key value!
 	 */
-	public static function resolveSheetDefInDS($dataStructArray,$sheet='sDEF')	{
+	public static function resolveSheetDefInDS($dataStructArray, $sheet = 'sDEF') {
-		if (!is_array ($dataStructArray)) return 'Data structure must be an array';
+		if (!is_array($dataStructArray)) {
+			return 'Data structure must be an array';
+		}
 
-		if (is_array($dataStructArray['sheets']))	{
+		if (is_array($dataStructArray['sheets'])) {
 			$singleSheet = FALSE;
-			if (!isset($dataStructArray['sheets'][$sheet]))	{
+			if (!isset($dataStructArray['sheets'][$sheet])) {
-				$sheet='sDEF';
+				$sheet = 'sDEF';
 			}
-			$dataStruct =  $dataStructArray['sheets'][$sheet];
+			$dataStruct = $dataStructArray['sheets'][$sheet];
 
 				// If not an array, but still set, then regard it as a relative reference to a file:
-			if ($dataStruct && !is_array($dataStruct))	{
+			if ($dataStruct && !is_array($dataStruct)) {
 				$file = self::getFileAbsFileName($dataStruct);
-				if ($file && @is_file($file))	{
+				if ($file && @is_file($file)) {
 					$dataStruct = self::xml2array(self::getUrl($file));
 				}
 			}
 		} else {
 			$singleSheet = TRUE;
 			$dataStruct = $dataStructArray;
-			if (isset($dataStruct['meta'])) unset($dataStruct['meta']);	// Meta data should not appear there.
+			if (isset($dataStruct['meta'])) {
+				unset($dataStruct['meta']);
+			} // Meta data should not appear there.
-			$sheet = 'sDEF';	// Default sheet
+			$sheet = 'sDEF'; // Default sheet
 		}
-		return array($dataStruct,$sheet,$singleSheet);
+		return array($dataStruct, $sheet, $singleSheet);
 	}
 
 	/**
@@ -5068,13 +5152,13 @@
 	 * @param	array		Input data structure, possibly with a sheet-definition and references to external data source files.
 	 * @return	array		Output data structure with all sheets resolved as arrays.
 	 */
-	public static function resolveAllSheetsInDS(array $dataStructArray)	{
+	public static function resolveAllSheetsInDS(array $dataStructArray) {
-		if (is_array($dataStructArray['sheets']))	{
+		if (is_array($dataStructArray['sheets'])) {
-			$out=array('sheets'=>array());
+			$out = array('sheets' => array());
-			foreach($dataStructArray['sheets'] as $sheetId => $sDat)	{
+			foreach ($dataStructArray['sheets'] as $sheetId => $sDat) {
-				list($ds,$aS) = self::resolveSheetDefInDS($dataStructArray,$sheetId);
+				list($ds, $aS) = self::resolveSheetDefInDS($dataStructArray, $sheetId);
-				if ($sheetId==$aS)	{
+				if ($sheetId == $aS) {
-					$out['sheets'][$aS]=$ds;
+					$out['sheets'][$aS] = $ds;
 				}
 			}
 		} else {
@@ -5097,72 +5181,74 @@
 	 * @return	mixed		Content from method/function call or false if the class/method/function was not found
 	 * @see getUserObj()
 	 */
-	public static function callUserFunction($funcName,&$params,&$ref,$checkPrefix='user_',$errorMode=0)	{
+	public static function callUserFunction($funcName, &$params, &$ref, $checkPrefix = 'user_', $errorMode = 0) {
 		global $TYPO3_CONF_VARS;
-		$content = false;
+		$content = FALSE;
 
 			// Check persistent object and if found, call directly and exit.
-		if (is_array($GLOBALS['T3_VAR']['callUserFunction'][$funcName]))	{
+		if (is_array($GLOBALS['T3_VAR']['callUserFunction'][$funcName])) {
 			return call_user_func_array(
-						array(&$GLOBALS['T3_VAR']['callUserFunction'][$funcName]['obj'],
-							$GLOBALS['T3_VAR']['callUserFunction'][$funcName]['method']),
-						array(&$params, &$ref)
-					);
+				array(&$GLOBALS['T3_VAR']['callUserFunction'][$funcName]['obj'],
+					$GLOBALS['T3_VAR']['callUserFunction'][$funcName]['method']),
+				array(&$params, &$ref)
+			);
 		}
 
 			// Check file-reference prefix; if found, require_once() the file (should be library of code)
-		if (strpos($funcName,':') !== false)	{
+		if (strpos($funcName, ':') !== FALSE) {
-			list($file,$funcRef) = self::revExplode(':',$funcName,2);
+			list($file, $funcRef) = self::revExplode(':', $funcName, 2);
 			$requireFile = self::getFileAbsFileName($file);
-			if ($requireFile) self::requireOnce($requireFile);
+			if ($requireFile) {
+				self::requireOnce($requireFile);
+			}
 		} else {
 			$funcRef = $funcName;
 		}
 
 			// Check for persistent object token, "&"
-		if (substr($funcRef,0,1)=='&')	{
+		if (substr($funcRef, 0, 1) == '&') {
-			$funcRef = substr($funcRef,1);
+			$funcRef = substr($funcRef, 1);
-			$storePersistentObject = true;
+			$storePersistentObject = TRUE;
 		} else {
-			$storePersistentObject = false;
+			$storePersistentObject = FALSE;
 		}
 
 			// Check prefix is valid:
 		if ($checkPrefix &&
-			!self::isFirstPartOfStr(trim($funcRef),$checkPrefix) &&
+				!self::isFirstPartOfStr(trim($funcRef), $checkPrefix) &&
-			!self::isFirstPartOfStr(trim($funcRef),'tx_')
+				!self::isFirstPartOfStr(trim($funcRef), 'tx_')
-			)	{
+		) {
 			$errorMsg = "Function/class '$funcRef' was not prepended with '$checkPrefix'";
 			if ($errorMode == 2) {
 				throw new Exception($errorMsg);
-			} elseif(!$errorMode)	{
+			} elseif (!$errorMode) {
 				debug($errorMsg, 't3lib_div::callUserFunction');
 			}
-			return false;
+			return FALSE;
 		}
 
 			// Call function or method:
-		$parts = explode('->',$funcRef);
+		$parts = explode('->', $funcRef);
-		if (count($parts)==2)	{	// Class
+		if (count($parts) == 2) { // Class
 
 				// Check if class/method exists:
-			if (class_exists($parts[0]))	{
+			if (class_exists($parts[0])) {
 
 					// Get/Create object of class:
-				if ($storePersistentObject)	{	// Get reference to current instance of class:
+				if ($storePersistentObject) { // Get reference to current instance of class:
-					if (!is_object($GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]]))	{
+					if (!is_object($GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]])) {
 						$GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]] = self::makeInstance($parts[0]);
 					}
 					$classObj = $GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]];
-				} else {	// Create new object:
+				} else { // Create new object:
 					$classObj = self::makeInstance($parts[0]);
 				}
 
-				if (method_exists($classObj, $parts[1]))	{
+				if (method_exists($classObj, $parts[1])) {
 
 						// If persistent object should be created, set reference:
-					if ($storePersistentObject)	{
+					if ($storePersistentObject) {
-						$GLOBALS['T3_VAR']['callUserFunction'][$funcName] = array (
+						$GLOBALS['T3_VAR']['callUserFunction'][$funcName] = array(
 							'method' => $parts[1],
 							'obj' => &$classObj
 						);
@@ -5173,29 +5259,29 @@
 						array(&$params, &$ref)
 					);
 				} else {
-					$errorMsg = "<strong>ERROR:</strong> No method name '".$parts[1]."' in class ".$parts[0];
+					$errorMsg = "<strong>ERROR:</strong> No method name '" . $parts[1] . "' in class " . $parts[0];
 					if ($errorMode == 2) {
 						throw new Exception($errorMsg);
-					} elseif(!$errorMode)   {
+					} elseif (!$errorMode) {
 						debug($errorMsg, 't3lib_div::callUserFunction');
 					}
 				}
 			} else {
-				$errorMsg = "<strong>ERROR:</strong> No class named: ".$parts[0];
+				$errorMsg = "<strong>ERROR:</strong> No class named: " . $parts[0];
 				if ($errorMode == 2) {
 					throw new Exception($errorMsg);
-				} elseif(!$errorMode)   {
+				} elseif (!$errorMode) {
 					debug($errorMsg, 't3lib_div::callUserFunction');
 				}
 			}
-		} else {	// Function
+		} else { // Function
-			if (function_exists($funcRef))	{
+			if (function_exists($funcRef)) {
 				$content = call_user_func_array($funcRef, array(&$params, &$ref));
 			} else {
-				$errorMsg = "<strong>ERROR:</strong> No function named: ".$funcRef;
+				$errorMsg = "<strong>ERROR:</strong> No function named: " . $funcRef;
 				if ($errorMode == 2) {
 					throw new Exception($errorMsg);
-				} elseif(!$errorMode)   {
+				} elseif (!$errorMode) {
 					debug($errorMsg, 't3lib_div::callUserFunction');
 				}
 			}
@@ -5214,25 +5300,27 @@
 	 * @return	object		The instance of the class asked for. Instance is created with t3lib_div::makeInstance
 	 * @see callUserFunction()
 	 */
-	public static function getUserObj($classRef, $checkPrefix='user_', $silent=false) {
+	public static function getUserObj($classRef, $checkPrefix = 'user_', $silent = FALSE) {
 		global $TYPO3_CONF_VARS;
 			// Check persistent object and if found, call directly and exit.
-		if (is_object($GLOBALS['T3_VAR']['getUserObj'][$classRef]))	{
+		if (is_object($GLOBALS['T3_VAR']['getUserObj'][$classRef])) {
 			return $GLOBALS['T3_VAR']['getUserObj'][$classRef];
 		} else {
 
 				// Check file-reference prefix; if found, require_once() the file (should be library of code)
-			if (strpos($classRef,':') !== false)	{
+			if (strpos($classRef, ':') !== FALSE) {
-				list($file,$class) = self::revExplode(':',$classRef,2);
+				list($file, $class) = self::revExplode(':', $classRef, 2);
 				$requireFile = self::getFileAbsFileName($file);
-				if ($requireFile)	self::requireOnce($requireFile);
+				if ($requireFile) {
+					self::requireOnce($requireFile);
+				}
 			} else {
 				$class = $classRef;
 			}
 
 				// Check for persistent object token, "&"
-			if (substr($class,0,1)=='&')	{
+			if (substr($class, 0, 1) == '&') {
-				$class = substr($class,1);
+				$class = substr($class, 1);
 				$storePersistentObject = TRUE;
 			} else {
 				$storePersistentObject = FALSE;
@@ -5240,35 +5328,39 @@
 
 				// Check prefix is valid:
 			if ($checkPrefix &&
-				!self::isFirstPartOfStr(trim($class),$checkPrefix) &&
+					!self::isFirstPartOfStr(trim($class), $checkPrefix) &&
-				!self::isFirstPartOfStr(trim($class),'tx_')
+					!self::isFirstPartOfStr(trim($class), 'tx_')
-				)	{
+			) {
-				if (!$silent)	debug("Class '".$class."' was not prepended with '".$checkPrefix."'", 't3lib_div::getUserObj');
+				if (!$silent) {
+					debug("Class '" . $class . "' was not prepended with '" . $checkPrefix . "'", 't3lib_div::getUserObj');
+				}
 				return FALSE;
 			}
 
 				// Check if class exists:
-			if (class_exists($class))	{
+			if (class_exists($class)) {
 				$classObj = self::makeInstance($class);
 
 					// If persistent object should be created, set reference:
-				if ($storePersistentObject)	{
+				if ($storePersistentObject) {
 					$GLOBALS['T3_VAR']['getUserObj'][$classRef] = $classObj;
 				}
 
 				return $classObj;
 			} else {
-				if (!$silent)	debug("<strong>ERROR:</strong> No class named: ".$class, 't3lib_div::getUserObj');
+				if (!$silent) {
+					debug("<strong>ERROR:</strong> No class named: " . $class, 't3lib_div::getUserObj');
-			}
-		}
-	}
+				}
+			}
+		}
+	}
 
 	/**
 	 * Creates an instance of a class taking into account the class-extensions
 	 * API of TYPO3. USE THIS method instead of the PHP "new" keyword.
 	 * Eg. "$obj = new myclass;" should be "$obj = t3lib_div::makeInstance("myclass")" instead!
 	 * You can also pass arguments for a constructor:
-	 * 	t3lib_div::makeInstance('myClass', $arg1, $arg2,  ..., $argN)
+	 *	 t3lib_div::makeInstance('myClass', $arg1, $arg2,  ..., $argN)
 	 *
 	 * @param	string		Class name to instantiate
 	 * @return	object		A reference to the object
@@ -5314,10 +5406,10 @@
 	 * @return	string		Final class name to instantiate with "new [classname]"
 	 * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.6 - Use t3lib_div::makeInstance('myClass', $arg1, $arg2,  ..., $argN)
 	 */
-	public static function makeInstanceClassName($className)	{
+	public static function makeInstanceClassName($className) {
 		self::logDeprecatedFunction();
 
-		return (class_exists($className) && class_exists('ux_'.$className, false) ? self::makeInstanceClassName('ux_' . $className) : $className);
+		return (class_exists($className) && class_exists('ux_' . $className, FALSE) ? self::makeInstanceClassName('ux_' . $className) : $className);
 	}
 
 	/**
@@ -5328,7 +5420,7 @@
 	 * @return	string		Final class name to instantiate with "new [classname]"
 	 */
 	protected function getClassName($className) {
-		return (class_exists($className) && class_exists('ux_' . $className, false) ? self::getClassName('ux_' . $className) : $className);
+		return (class_exists($className) && class_exists('ux_' . $className, FALSE) ? self::getClassName('ux_' . $className) : $className);
 	}
 
 	/**
@@ -5341,18 +5433,18 @@
 	 * @return	object		The service object or an array with error info's.
 	 * @author	René Fritz <r.fritz@colorcube.de>
 	 */
-	public static function makeInstanceService($serviceType, $serviceSubType='', $excludeServiceKeys=array()) {
+	public static function makeInstanceService($serviceType, $serviceSubType = '', $excludeServiceKeys = array()) {
 		global $T3_SERVICES, $T3_VAR, $TYPO3_CONF_VARS;
 
 		$error = FALSE;
 
-		if (!is_array($excludeServiceKeys) ) {
+		if (!is_array($excludeServiceKeys)) {
 			$excludeServiceKeys = self::trimExplode(',', $excludeServiceKeys, 1);
 		}
-		while ($info = t3lib_extMgm::findService($serviceType, $serviceSubType, $excludeServiceKeys))	{
+		while ($info = t3lib_extMgm::findService($serviceType, $serviceSubType, $excludeServiceKeys)) {
 
 				// Check persistent object and if found, call directly and exit.
-			if (is_object($GLOBALS['T3_VAR']['makeInstanceService'][$info['className']]))	{
+			if (is_object($GLOBALS['T3_VAR']['makeInstanceService'][$info['className']])) {
 					// reset service and return object
 				$T3_VAR['makeInstanceService'][$info['className']]->reset();
 				return $GLOBALS['T3_VAR']['makeInstanceService'][$info['className']];
@@ -5361,12 +5453,12 @@
 			} else {
 				$requireFile = self::getFileAbsFileName($info['classFile']);
 				if (@is_file($requireFile)) {
-					self::requireOnce ($requireFile);
+					self::requireOnce($requireFile);
 					$obj = self::makeInstance($info['className']);
 					if (is_object($obj)) {
-						if(!@is_callable(array($obj,'init')))	{
+						if (!@is_callable(array($obj, 'init'))) {
 								// use silent logging??? I don't think so.
-							die ('Broken service:'.self::view_array($info));
+							die ('Broken service:' . self::view_array($info));
 						}
 						$obj->info = $info;
 						if ($obj->init()) { // service available?
@@ -5385,7 +5477,7 @@
 				}
 			}
 				// deactivate the service
-			t3lib_extMgm::deactivateService($info['serviceType'],$info['serviceKey']);
+			t3lib_extMgm::deactivateService($info['serviceType'], $info['serviceKey']);
 		}
 		return $error;
 	}
